/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

const models = require('./index');

/**
 * Single item in a List or Get IpFilterRules operation
 *
 * @extends models['Resource']
 */
class IpFilterRule extends models['Resource'] {
  /**
   * Create a IpFilterRule.
   * @member {string} [ipMask] IP Mask
   * @member {string} [action] The IP Filter Action. Possible values include:
   * 'Accept', 'Reject'
   * @member {string} [filterName] IP Filter name
   */
  constructor() {
    super();
  }

  /**
   * Defines the metadata of IpFilterRule
   *
   * @returns {object} metadata of IpFilterRule
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'IpFilterRule',
      type: {
        name: 'Composite',
        className: 'IpFilterRule',
        modelProperties: {
          id: {
            required: false,
            readOnly: true,
            serializedName: 'id',
            type: {
              name: 'String'
            }
          },
          name: {
            required: false,
            readOnly: true,
            serializedName: 'name',
            type: {
              name: 'String'
            }
          },
          type: {
            required: false,
            readOnly: true,
            serializedName: 'type',
            type: {
              name: 'String'
            }
          },
          ipMask: {
            required: false,
            serializedName: 'properties.ipMask',
            type: {
              name: 'String'
            }
          },
          action: {
            required: false,
            serializedName: 'properties.action',
            type: {
              name: 'String'
            }
          },
          filterName: {
            required: false,
            serializedName: 'properties.filterName',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = IpFilterRule;
