/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

const models = require('./index');

/**
 * Messaging Plan for the namespace
 *
 * @extends models['TrackedResource']
 */
class MessagingPlan extends models['TrackedResource'] {
  /**
   * Create a MessagingPlan.
   * @member {number} [sku] Sku type
   * @member {number} [selectedEventHubUnit] Selected event hub unit
   * @member {date} [updatedAt] The exact time the messaging plan was updated.
   * @member {number} [revision] revision number
   */
  constructor() {
    super();
  }

  /**
   * Defines the metadata of MessagingPlan
   *
   * @returns {object} metadata of MessagingPlan
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'MessagingPlan',
      type: {
        name: 'Composite',
        className: 'MessagingPlan',
        modelProperties: {
          id: {
            required: false,
            readOnly: true,
            serializedName: 'id',
            type: {
              name: 'String'
            }
          },
          name: {
            required: false,
            readOnly: true,
            serializedName: 'name',
            type: {
              name: 'String'
            }
          },
          type: {
            required: false,
            readOnly: true,
            serializedName: 'type',
            type: {
              name: 'String'
            }
          },
          location: {
            required: false,
            serializedName: 'location',
            type: {
              name: 'String'
            }
          },
          tags: {
            required: false,
            serializedName: 'tags',
            type: {
              name: 'Dictionary',
              value: {
                  required: false,
                  serializedName: 'StringElementType',
                  type: {
                    name: 'String'
                  }
              }
            }
          },
          sku: {
            required: false,
            readOnly: true,
            serializedName: 'properties.sku',
            type: {
              name: 'Number'
            }
          },
          selectedEventHubUnit: {
            required: false,
            readOnly: true,
            serializedName: 'properties.selectedEventHubUnit',
            type: {
              name: 'Number'
            }
          },
          updatedAt: {
            required: false,
            readOnly: true,
            serializedName: 'properties.updatedAt',
            type: {
              name: 'DateTime'
            }
          },
          revision: {
            required: false,
            readOnly: true,
            serializedName: 'properties.revision',
            type: {
              name: 'Number'
            }
          }
        }
      }
    };
  }
}

module.exports = MessagingPlan;
