/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

const models = require('./index');

/**
 * Messaging Region
 *
 * @extends models['TrackedResource']
 */
class MessagingRegions extends models['TrackedResource'] {
  /**
   * Create a MessagingRegions.
   * @member {object} [properties]
   * @member {string} [properties.code] Region code
   * @member {string} [properties.fullName] Full name of the region
   */
  constructor() {
    super();
  }

  /**
   * Defines the metadata of MessagingRegions
   *
   * @returns {object} metadata of MessagingRegions
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'MessagingRegions',
      type: {
        name: 'Composite',
        className: 'MessagingRegions',
        modelProperties: {
          id: {
            required: false,
            readOnly: true,
            serializedName: 'id',
            type: {
              name: 'String'
            }
          },
          name: {
            required: false,
            readOnly: true,
            serializedName: 'name',
            type: {
              name: 'String'
            }
          },
          type: {
            required: false,
            readOnly: true,
            serializedName: 'type',
            type: {
              name: 'String'
            }
          },
          location: {
            required: false,
            serializedName: 'location',
            type: {
              name: 'String'
            }
          },
          tags: {
            required: false,
            serializedName: 'tags',
            type: {
              name: 'Dictionary',
              value: {
                  required: false,
                  serializedName: 'StringElementType',
                  type: {
                    name: 'String'
                  }
              }
            }
          },
          properties: {
            required: false,
            serializedName: 'properties',
            type: {
              name: 'Composite',
              className: 'MessagingRegionsProperties'
            }
          }
        }
      }
    };
  }
}

module.exports = MessagingRegions;
